/*
 * Class SYS_EXCEPTION
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_77 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_77 [] = {0xFF01,237,76,0xFFFF};
static const EIF_TYPE_INDEX egt_2_77 [] = {0xFF01,76,0xFFFF};
static const EIF_TYPE_INDEX egt_3_77 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_77 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_77 [] = {0xFF01,76,0xFFFF};
static const EIF_TYPE_INDEX egt_6_77 [] = {0xFF01,76,0xFFFF};
static const EIF_TYPE_INDEX egt_7_77 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_77 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_77 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_77 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_77 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_77 [] = {0xFF01,76,0xFFFF};
static const EIF_TYPE_INDEX egt_13_77 [] = {0xFF01,50,0xFFFF};
static const EIF_TYPE_INDEX egt_14_77 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_77 [] = {0xFF01,229,0xFFFF};
static const EIF_TYPE_INDEX egt_16_77 [] = {0xFF01,63,0xFFFF};
static const EIF_TYPE_INDEX egt_17_77 [] = {0xFF01,63,0xFFFF};


static const struct desc_info desc_77[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_77), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_77), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_77), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_77), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_77), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_77), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_77), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_77), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_77), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_77), 1332, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_77), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_77), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x99 /*76*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_77), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_77), 1276, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1312, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_77), 1313, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_77), 1314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B3 /*217*/), 1316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C5 /*226*/), 1318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_77), 1320, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_77), 1321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1322, 0},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1323, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 1324, 24},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1325, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1333, 8},
	{EIF_GENERIC(NULL), 1334, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1335, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1336, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xFD /*126*/), 1338, 12},
	{EIF_GENERIC(NULL), 1339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1340, 20},
	{EIF_GENERIC(NULL), 1341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1342, 16},
};
void Init77(void)
{
	IDSC(desc_77, 0, 76);
	IDSC(desc_77 + 1, 1, 76);
	IDSC(desc_77 + 32, 222, 76);
	IDSC(desc_77 + 33, 29, 76);
}


#ifdef __cplusplus
}
#endif
